import pcbnew
import sys

board = pcbnew.LoadBoard(sys.argv[1])
for fp in board.GetFootprints():
  fp.Value().SetVisible(False)
  fp.Reference().SetLayer(board.GetLayerID('F.Fab'))

board.Save(sys.argv[1])
